-- ~/.config/mpv/scripts/mpv_esc.lua

-- Esc 時にフルスクリーンなら解除、そうでなければ終了
-- ようするに Eye of GNOME と同じ動作

function on_escape()
    if mp.get_property_bool('fullscreen') then
        mp.set_property('fullscreen', 'no')
    else
        mp.command('quit')
    end
end
mp.add_key_binding('Esc', 'esc_func', on_escape)
