-- ~/.config/mpv/scripts/mpv_fhd.lua

-- 1920x1080 サイズにリサイズ
-- しかし 4K 動画は WQHD ディスプレイでは最大化で再生開始になる
-- その場合に最大化解除させるのが面倒なので自動化

function on_fhd()
    mp.set_property('autofit', '1920x1080')
    if mp.get_property_bool('window-maximized') then
        mp.set_property('window-maximized', 'no')
    end
end
mp.add_key_binding('Ctrl+1', 'fhd_func', on_fhd)
